> ## Documentation Index
> Fetch the complete documentation index at: https://ton.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Block Transactions Ext

> Get transactions of the given block.



## OpenAPI

````yaml get /getBlockTransactionsExt
openapi: 3.1.0
info:
  title: TON HTTP API
  description: >

    This API enables HTTP access to TON blockchain - getting accounts and
    wallets information, looking up blocks and transactions, sending messages to
    the blockchain, calling get methods of smart contracts, and more.


    In addition to REST API, all methods are available through [JSON-RPC
    endpoint](#json%20rpc)  with `method` equal to method name and `params`
    passed as a dictionary.


    The response contains a JSON object, which always has a boolean field `ok`
    and either `error` or `result`. If `ok` equals true, the request was
    successful and the result of the query can be found in the `result` field.
    In case of an unsuccessful request, `ok` equals false and the error is
    explained in the `error`.


    API Key should be sent either as `api_key` query parameter or `X-API-Key`
    header.
  version: 2.0.0
servers:
  - url: https://toncenter.com/api/v2
  - url: https://testnet.toncenter.com/api/v2
security: []
tags:
  - name: accounts
    description: Information about accounts.
  - name: blocks
    description: Information about blocks.
  - name: transactions
    description: Fetching and locating transactions.
  - name: get config
    description: Get blockchain config
  - name: run method
    description: Run get method of smart contract.
  - name: send
    description: Send data to blockchain.
  - name: json rpc
    description: JSON-RPC endpoint.
paths:
  /getBlockTransactionsExt:
    get:
      tags:
        - blocks
        - transactions
      summary: Get Block Transactions Ext
      description: Get transactions of the given block.
      operationId: get_block_transactions_ext_getBlockTransactionsExt_get
      parameters:
        - required: true
          schema:
            type: integer
            title: Workchain
          name: workchain
          in: query
        - required: true
          schema:
            type: integer
            title: Shard
          name: shard
          in: query
        - required: true
          schema:
            type: integer
            title: Seqno
          name: seqno
          in: query
        - required: false
          schema:
            type: string
            title: Root Hash
          name: root_hash
          in: query
        - required: false
          schema:
            type: string
            title: File Hash
          name: file_hash
          in: query
        - required: false
          schema:
            type: integer
            title: After Lt
          name: after_lt
          in: query
        - required: false
          schema:
            type: string
            title: After Hash
          name: after_hash
          in: query
        - required: false
          schema:
            type: integer
            title: Count
            default: 40
          name: count
          in: query
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetBlockTransactionsExtResponse'
              examples:
                sample:
                  summary: Extended block transactions example (truncated)
                  value:
                    ok: true
                    result:
                      '@type': blocks.transactionsExt
                      id:
                        '@type': ton.blockIdExt
                        workchain: -1
                        shard: '-9223372036854775808'
                        seqno: 1
                        root_hash: 8GYhhrigd8CwZGrRT59iulLDcgiTYuvOAzFJxugc0Ts=
                        file_hash: V+XzykEwun4yePZhAEPZk77RbMfMOgS/S4GiJkSKY6s=
                      req_count: 40
                      incomplete: false
                      transactions:
                        - '@type': raw.transaction
                          address:
                            '@type': accountAddress
                            account_address: Ef8AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAADAU
                          utime: 1573822385
                          data: te6cckECCAEAASUAA69w...
                          transaction_id:
                            '@type': internal.transactionId
                            lt: '1000001'
                            hash: 50ctdvRx74CQ4/JW5ziragzoKzYhgxCTjPtrtjD61TU=
                          fee: '0'
                          storage_fee: '0'
                          other_fee: '0'
                          in_msg:
                            '@type': raw.message
                            hash: 5sUeIdwmkqF4ye2/w904xrE2H+Kcg66mZZqT0Dlab8o=
                            source:
                              '@type': accountAddress
                              account_address: Ef8AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAADAU
                            destination:
                              '@type': accountAddress
                              account_address: Ef8AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAADAU
                            value: '0'
                            extra_currencies:
                              - '@type': extraCurrency
                                id: 239
                                amount: '666666666666'
                              - '@type': extraCurrency
                                id: -17
                                amount: '1000000000000'
                            fwd_fee: '0'
                            ihr_fee: '0'
                            created_lt: '1000000'
                            body_hash: lqKW0iTyhcZ77pPDD4owkVfw2qNdxbh+QQt4YwoJz8c=
                            msg_data:
                              '@type': msg.dataRaw
                              body: te6cckEBAQEAAgAAAEysuc0=
                              init_state: ''
                          out_msgs: []
                          account: '-1:0000000000000000000000000000000000000000000000000000000000000000'
                      '@extra': 1755814593.0613906:1:0.8158701007745434
        '422':
          description: Validation Error
        '504':
          description: Lite Server Timeout
      security: []
components:
  schemas:
    GetBlockTransactionsExtResponse:
      allOf:
        - $ref: '#/components/schemas/TonResponse'
        - type: object
          properties:
            result:
              $ref: '#/components/schemas/BlocksTransactionsExt'
              description: Extended transactions included in the specified block.
    TonResponse:
      properties:
        ok:
          type: boolean
          title: Ok
        result:
          anyOf:
            - type: string
            - items: {}
              type: array
            - type: object
          title: Result
        error:
          type: string
          title: Error
        code:
          type: integer
          title: Code
      type: object
      required:
        - ok
      title: TonResponse
    BlocksTransactionsExt:
      type: object
      description: Extended transactions included in a block.
      properties:
        '@type':
          type: string
          example: blocks.transactionsExt
        id:
          $ref: '#/components/schemas/TonBlockIdExt'
          description: Identifier of the block.
        req_count:
          type: integer
          description: Number of requested transactions.
        incomplete:
          type: boolean
          description: Whether the list is truncated.
        transactions:
          type: array
          description: Verbose transaction list with raw messages.
          items:
            $ref: '#/components/schemas/RawTransaction'
        '@extra':
          type: string
          description: Extra metadata for the response.
      required:
        - id
        - transactions
    TonBlockIdExt:
      type: object
      properties:
        '@type':
          type: string
          example: ton.blockIdExt
        workchain:
          type: integer
        shard:
          type: string
          description: 64-bit signed integer as string
        seqno:
          type: integer
        root_hash:
          type: string
        file_hash:
          type: string
      required:
        - workchain
        - shard
        - seqno
        - root_hash
        - file_hash
      description: Extended block identifier.
    RawTransaction:
      type: object
      description: Raw transaction object.
      properties:
        '@type':
          type: string
          example: raw.transaction
        address:
          $ref: '#/components/schemas/AccountAddress'
          description: Account address.
        utime:
          type: integer
          description: UNIX timestamp of the transaction.
        data:
          type: string
          description: Base64-encoded raw transaction data.
        transaction_id:
          $ref: '#/components/schemas/InternalTransactionId'
          description: Internal transaction id.
        fee:
          type: string
          description: Total fee in nanotons.
        storage_fee:
          type: string
          description: Storage fee in nanotons.
        other_fee:
          type: string
          description: Other fees in nanotons.
        in_msg:
          $ref: '#/components/schemas/RawMessage'
          description: Incoming message.
          nullable: true
        out_msgs:
          type: array
          items:
            $ref: '#/components/schemas/RawMessage'
          description: Outgoing messages.
        account:
          type: string
          description: Workchain:hex account id.
      required:
        - transaction_id
        - fee
        - other_fee
        - out_msgs
        - account
    AccountAddress:
      type: object
      description: Account address object.
      properties:
        '@type':
          type: string
          example: accountAddress
        account_address:
          type: string
          description: Friendly address string.
      required:
        - account_address
    InternalTransactionId:
      type: object
      description: Internal transaction identifier.
      properties:
        '@type':
          type: string
          example: internal.transactionId
        lt:
          type: string
          description: Logical time.
        hash:
          type: string
          description: Base64 hash of the tx.
      required:
        - lt
        - hash
    RawMessage:
      type: object
      description: Raw message.
      properties:
        '@type':
          type: string
          example: raw.message
        hash:
          type: string
          description: Base64 hash of the message.
        source:
          $ref: '#/components/schemas/AccountAddress'
          description: Source address.
        destination:
          $ref: '#/components/schemas/AccountAddress'
          description: Destination address.
        value:
          type: string
          description: Value in nanotons.
        extra_currencies:
          type: array
          items:
            $ref: '#/components/schemas/ExtraCurrency'
          description: Optional extra currencies.
        fwd_fee:
          type: string
          description: Forwarding fee in nanotons.
        ihr_fee:
          type: string
          description: Instant Hypercube Routing fee in nanotons.
        created_lt:
          type: string
          description: Message creation logical time.
        body_hash:
          type: string
          description: Base64 hash of message body.
        msg_data:
          $ref: '#/components/schemas/MsgDataRaw'
          description: Message data.
      required:
        - hash
        - destination
        - value
        - created_lt
        - msg_data
    ExtraCurrency:
      type: object
      description: Extra currency amount.
      properties:
        '@type':
          type: string
          example: extraCurrency
        id:
          type: integer
          description: Currency ID.
        amount:
          type: string
          description: Amount in smallest units.
      required:
        - id
        - amount
    MsgDataRaw:
      type: object
      description: Raw message data.
      properties:
        '@type':
          type: string
          example: msg.dataRaw
        body:
          type: string
          description: Base64-encoded message body.
        init_state:
          type: string
          description: Base64-encoded init state.
          nullable: true
      required:
        - body

````